package dev.kske.undoredo.core;

import java.util.Objects;

/**
 * @author Kai S. K. Engelbart
 * @since 0.0.1
 */
class IntWrapper {

	int value;

	@Override
	public String toString() {
		return String.valueOf(value);
	}

	@Override
	public int hashCode() {
		return Objects.hash(value);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!(obj instanceof IntWrapper))
			return false;
		IntWrapper other = (IntWrapper) obj;
		return value == other.value;
	}
}
